<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>
		<ion-title>
			Danh sách thành viên mua point
		</ion-title>
	</ion-toolbar>
</ion-header>
<ion-content color="light" fullscreen [scrollEvents]="true" (ionScroll)="logScrolling()">
	<ion-refresher slot="fixed" pullFactor="0.5" pullMin="100" pullMax="200" (ionRefresh)="doRefresh($event)">
		<ion-refresher-content>
		</ion-refresher-content>
	  </ion-refresher>
	<ion-grid fixed class="ion-no-padding">
		<ion-list *ngIf="data" class="raovat-list">
			<ion-item class="raovat-item" *ngFor="let item of data" (click)="this.commonMethodsTs.toPage_AdminUserPoint(item.Id)">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<img lazy-loading-image [src]='item.UrlHinhDaiDien' />
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title" (click)="this.commonMethodsTs.toPage_AdminUserPoint(item.Id)">
							<ion-icon color="success"  name="person"></ion-icon>
							({{this.commonMethodsTs.getData(item, "DienThoaiThanhVien",  this.lbl.noneUpdate)}}) - {{this.commonMethodsTs.getData(item, "HoTenThanhVien", this.lbl.noneUpdate)}}

						</h3>
						
						<span>
							<ion-icon color="warning" name="logo-bitcoin"></ion-icon>
								{{this.commonMethodsTs.getData(item, "PointTmp", 0)|number}} Point - Mã: {{this.commonMethodsTs.getData(item, "MarketingCode", "Không có")}}
						</span>
						<span>
							<ion-icon color="danger" name="logo-usd"></ion-icon>
								{{this.commonMethodsTs.getData(item, "TotalPrice", 0)|number}} VND
						</span>
						<span>
							<ion-icon color="success" name="calendar"></ion-icon>
							{{item.NgayTao? (item.NgayTao|date: 'dd/MM/yyyy HH:mm:ss'): this.lbl.noneUpdate}}
					</span>
					</div>
				</div>
			</ion-item>
			<div class="ion-text-center" *ngIf="data.length == 0">
				<ion-text color="danger" >
					<h4 >Không tìm thấy dữ liệu</h4>
				</ion-text>
			</div>
		
		</ion-list>
		<ion-list *ngIf="!data" class="raovat-list">
			<ion-item class="raovat-item">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;">
							</ion-skeleton-text>
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title">
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</h3>
						<span>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</span>

						<div class="info-bottom">
							<p class="info-bottom-item">
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							</p>

						</div>
					</div>
				</div>
			</ion-item>
			<ion-item class="raovat-item">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;">
							</ion-skeleton-text>
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title">
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</h3>
						<span>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</span>

						<div class="info-bottom">
							<p class="info-bottom-item">
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							</p>

						</div>
					</div>
				</div>
			</ion-item>
			<ion-item class="raovat-item">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;">
							</ion-skeleton-text>
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title">
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</h3>
						<span>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</span>

						<div class="info-bottom">
							<p class="info-bottom-item">
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							</p>

						</div>
					</div>
				</div>
			</ion-item>
			<ion-item class="raovat-item">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;">
							</ion-skeleton-text>
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title">
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</h3>
						<span>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</span>

						<div class="info-bottom">
							<p class="info-bottom-item">
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							</p>

						</div>
					</div>
				</div>
			</ion-item>
			<ion-item class="raovat-item">
				<div class="raovat-box">
					<div class="raovat-avatar">
						<ion-avatar>
							<ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;">
							</ion-skeleton-text>
						</ion-avatar>
					</div>
					<div class="raovat-info">
						<h3 class="title">
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</h3>
						<span>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
						</span>

						<div class="info-bottom">
							<p class="info-bottom-item">
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
								<ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
							</p>

						</div>
					</div>
				</div>
			</ion-item>
		</ion-list>
		<ion-infinite-scroll (ionInfinite)="doInfinite($event)">
			<ion-infinite-scroll-content></ion-infinite-scroll-content>
		</ion-infinite-scroll>
	</ion-grid>
</ion-content>